Ubuntu

Some Firefox components are non-free

Reported by Mark Pilgrim on 2007-02-03
66
This bug affects 1 person
Affects Status Importance Assigned to Milestone
firefox-3.0 (Ubuntu)
Undecided
Unassigned

Bug Description

This is NOT a duplicate of bug 22639. It is about the recently committed fix for bug 68180. The official Firefox icons are not available under an open source license.

Steps to reproduce:

1. Open Firefox
2. Type "about:license" and click Go
3. Read the text at the bottom of the page: "Image files containing the trademarks and logos of the Mozilla Foundation, which may not be reproduced without permission. (Copyright ©2004-2006 The Mozilla Foundation. All Rights Reserved.)"

I am NOT claiming that the application is non-free because the name is trademarked. (There are lots of open source applications whose names are protected by trademark.) This bug is NOT claiming that the application icons are non-free because they are trademarked. The application icons are non-free because they are Copyright (c) 2004-2006 The Mozilla Foundation, All Rights Reserved. The fact that Canonical can distribute these icons at all is due to a special arrangement with Mozilla. These rights are specific to Canonical and are not automatically transferred to derivative distributions ( http://www.ubuntu.com/download/derivatives ).

Therefore this package should not be in the "main" repository.

Possible resolutions:

1. Move Firefox package to "restricted" repository
2. Move Firefox package to "multiverse" repository
3. Remove Firefox package from Ubuntu altogether

I'd vote for option 1. It's the least disruptive solution, and it would allow Ubuntu to continue shipping Firefox by default without enabling additional repositories.

Note that option 4 ("ignore the crazy guy filing bug reports against Firefox") is really quite unfair to derivative distributions, which have an expectation that packages in the "main" repository are modifiable and redistributable without upstream permission.

Alex Latchford (alex.latchford) wrote :

I believe this was discussed in depth by the development teams, after the whole Iceweasel thing with Debian, if Firefox is in Ubuntu now the way it is then I am sure it is intentional that they are doing so with respect to the license. If you wish to restart this discussion then I believe the Ubuntu-devel-discuss list [1] would be an appropriate place for it, (also I believe this is where the original discussion was also), I am not really too sure what to recommend other than this.

Thanks, Alex.

[1] https://lists.ubuntu.com/mailman/listinfo/ubuntu-devel-discuss

Noah Slater (nslater) wrote :

Do you have a link to an official statement regarding this as issue as regardless of opinion it is indeed a bug.

There is one more option not previously considered:

 5. Redefine the "main" repository as "mostly un-free software" or perhaps "a little big pregnant"... [1]

[1] http://diveintomark.org/archives/2006/11/06/gnewsense

Noah Slater (nslater) wrote :

A quick search on Google cannot find the discussion you mention [1].

http://www.google.co.uk/search?q=firefox+site:https://lists.ubuntu.com/archives/ubuntu-devel-discuss/

Noah Slater (nslater) wrote :

I think this should be discussed at the next Technical Board meeting. I have added to the agenda:

https://wiki.ubuntu.com/TechnicalBoardAgenda

The most sensible option IMHO is to follow Debian's lead and rename it to IceWeasel:

http://en.wikipedia.org/wiki/IceWeasel

Some people may be surprised to learn that I disagree with Noah on this one. I think following Debian's lead would be too disruptive in three ways:

1. Disruptive to end users, who wouldn't understand why their browser was renamed out from under them

2. Disruptive to Canonical, who would be forced to deal with the increased support costs arising from #1

3. Disruptive to Canonical's relationship with Mozilla, the importance of which should not be underestimated

Furthermore, Mark Shuttleworth has already publicly stated that Canonical will continue shipping Mozilla-approved Firefox packages ( http://www.markshuttleworth.com/archives/79 ), so that narrows the options considerably. Given that a Mozilla-approved package will necessarily contain non-free components, and given that Canonical plans to continue shipping and officially supporting this package, that narrows it down to precisely one solution. Canonical already has a repository for supported non-free packages; it's called "restricted."

RobertSayre (sayrer) wrote :

What freedoms do the Firefox terms curtail, in comparison to other free packages? For example, MySQL Query Browser icons are subject to MySQL's trademark policy, which restricts rights in several ways.

http://www.mysql.com/company/legal/trademark.html

Of particular interest is section 4c:

C. Trademarks and the GPL License.

The GNU General Public License (the "GPL") is one of the ways by which MySQL AB distributes the MySQL server. The GPL permits third parties to use and redistribute the underlying software under certain circumstances. Such use and/or redistribution of MySQL AB software products are much welcomed by MySQL AB, but should be distinguished from the use of the MySQL Marks. <b>The GPL does not provide any license or right to use any MySQL AB Mark in any form or media.</b> Thus, although a GPL licensee may redistribute the underlying software, a GPL licensee may not use any MySQL AB Mark in doing so without the express prior written permission of MySQL AB. Otherwise, users could be misled into thinking that revisions made by a GPL licensee were created or endorsed by MySQL AB, or that those revisions met the quality control standards of MySQL AB.

Noah Slater (nslater) wrote :

I can see your argument Mark, though it is gravely disappointing to see Ubuntu slip further into the non-free by default camp.

Robert, it curtails the freedom to redistribute [1][2][3] - one of the core freedoms of the free software movement[4].

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=354622
[2] http://lists.debian.org/debian-devel/2004/02/msg01876.html
[3] http://lists.debian.org/debian-legal/2005/01/msg00010.html

[2] http://www.gnu.org/philosophy/free-sw.html

RobertSayre (sayrer) wrote :

Thanks Noah. I was curious about the MySQL case specifically. It looks like their policy curtails the freedom to redistribute (with artwork) as well. So, is there something you can do with MySQL Query Browser that you can't do with Firefox? Just looking for a concrete example.

John Vivirito (gnomefreak) wrote :

This need the attention of ubuntu devel not mozillateam.

James Andrewartha (trs80) wrote :

Robert: There are plenty of other trademark policies for GPL software out there http://lwn.net/Articles/216049/ however most of the trademarks are not aggressively enforced. A notable exception is Red Hat - RHEL is GPLed, but Red Hat is a trademark, so people who exercise their GPL rights have to rename the result http://www.redhat.com/f/pdf/corp/RH-3573_284204_TM_Gd.pdf so we end up with CentOS.

A strict reading of many of the other policies would result in mass renaming of many packages, but (IANAL) trademarks are controlled by actual enforcement actions, not policies, so in practice this doesn't happen.

So there's lots of trademark policies out there, and trademark law is not incompatible with Free Software, but the actual enforcement varies a lot and there's not currently a standard trademark policy that allows use by the free software community but retains the right to smack down bad people (eg distributors of firefox with viruses). http://tieguy.org/blog/2005/09/16/fri-16-sep-2005/ http://tieguy.org/blog/index.php?s=trademark&paged=2 and we can but hope Luis will write the one true GPTML once he finishes his degree.

Back to the point, the difference between mysql-query-browser and firefox is that MySQL AB doesn't aggressively enforce its trademarks against distributions who ship versions of MySQL software. IANAL, but the lack of enforcement gives tacit approval of this use of the MySQL trademark by distributions, despite it not being permitted by the MySQL trademark policy.

James, you're overthinking the problem. I'm sure trademark law is very interesting, and its intersection with open source is a fascinating topic for someone's PhD thesis, but it is not the topic at hand. The difference between mysql-query-browser and firefox is very, very simple: MySQL's icons are released under the GPL, and Firefox's icons are Copyright (c) 2004-2006 The Mozilla Foundation, All Rights Reserved.

Bug triagers, please do *not* mark this as a bug against Firefox. Ubuntu decides the trademark policy.

RobertSayre (sayrer) wrote :

"The GPL does not provide any license or right to use any MySQL AB Mark in any form or media" seems pretty clear to me, so I'm not sure what Mark Pilgrim is on about.

RobertSayre (sayrer) wrote :

I should repeat my question. Is there something you can do with MySQL Query Browser that you can't do with Firefox? Just looking for a concrete example.

I'm not interested in non-lawyers holding forth on copyright and trademark law.

Robert, since you're not interested in the opinions of non-lawyers, and since I am not a lawyer, it stands to reason that you would not be interested in any examples I might offer.

Presumably Canonical employs lawyers who can advise them that "All Rights Reserved" means "All Rights Reserved", and that copyrighted images do not somehow become *more* free when they are trademarked.

This bug is about the Ubuntu Firefox package. If you have issues with other packages, I suggest you file a separate bug and make your case. I've made mine.

Luis Villa (luis-villa) wrote :

IANAL either, of course, even though I play one in class from time to time; since my name has been invoked I'll stick my head in.

Some questions/comments:

* is there a clear definition of what the requirements are for being in 'main'? I can't find one. Mark Pilgrim's argument assumes that for a package to be in main requires that all copyrighted content in the package must be DFSG Free. I can't actually find a definition of main, so I have no idea if this is actually true or not. (Depending on the answer here, one option could be that Ubuntu free-ness is redefined to mean 'DFSG free, except that trademark restrictions are allowed.')

* Rob, isn't there the distinct possibility that mysql is not correctly in main either? Or am I missing something?

* Mark missed another potential option- that firefox, without icons/trademarked strings, be distributed in main, and that a separate package containing trademarked icons/strings be distributed in restricted. This is effectively what Red Hat does with their trademarked RHEL and Fedora icons, I believe.

Anyway, it seems like without a little more information on those first two questions, this bug is a little muddied.

Matthew Paul Thomas (mpt) wrote :

<http://www.ubuntu.com/ubuntu/licensing>: "All application software included in the Ubuntu main component ... Must allow modification and distribution of modified copies under the same licence. Just having the source code does not convey the same freedom as having the right to change it."

Matt Zimmerman (mdz) wrote :

This issue is in fact specific to the Firefox package, and should remain filed there, both for reference and to implicitly include the bug contacts for that package.

Our general policy is that redistribution rights for such material should extend to derivatives. My understanding from previous discussions is that this should be the case, but we will confirm with Mozilla whether this is properly documented.

RobertSayre (sayrer) wrote :

> Rob, isn't there the distinct possibility that mysql is not correctly in main either? Or am I missing something?

Oh, sure. But it doesn't make such a great publicity stunt. Anyway, downstream authors have all the freedom in the world to modify the package. Of course, open source licenses apply to source code, and it's silly to be manipulated by people who are unable to answer simple questions on the matter. They're more interested in moving the "overton window" and other tedious behavior we expect from politicians. Hey guess what, free software has nothing to do with copyrighted logos or trademarks.

Alexander Sack (asac) wrote :

The general line on this should be clear now. Taking this for now., as there are still things we need to clarify upstream.

Changed in firefox:
assignee: nobody → asac
status: Unconfirmed → Needs Info
Lenny Domnitser (domnit) wrote :

Robert: mysql-query-browser may be copied from Ubuntu and redistributed. Ubuntu's firefox package may not be redistributed unless the copyrighted artwork is removed.

Alexander, what is needed to be clarified?

Alexander/Mark/Whoever will you be present at the Technical Board
meeting to discuss this issue further?

I plan to be present at the next meeting, but I'm not sure what answer you expect beyond the one I already gave in https://launchpad.net/ubuntu/+source/firefox/+bug/83118/comments/19

We have already put this question to our contacts at Mozilla and are awaiting an authoritative reply.

Matt, I must have missed you comment amongst the flood.

I have now removed the item from the agenda.

"Robert: mysql-query-browser may be copied from Ubuntu and redistributed. "

Lenny, you must have a hard time parsing the part about the logos. You can copy and redistribute the source code of mysql-query-browser, but not the logo (which is included in the package). The terms are extremely clear, don't you think?

Lenny Domnitser (domnit) wrote :

First of all, the copyright license of the MySQL logos is GPL; Firefox's logos are "all rights reserved". Before trademark enters the picture, Firefox's logos already cannot be redistributed because of their copyright.

As for MySQL's trademark policy, read the first section (1A). It's not too hard to parse.

"""The "Conditional Use" Logos may be used without specific written permission from MySQL AB under the following conditions: ... If used in an application released under the GPL license, the application must be able to connect directly to a MySQL server"""

On Thu, Feb 08, 2007 at 04:13:00PM -0000, Lenny Domnitser wrote:
> First of all, the copyright license of the MySQL logos is GPL; Firefox's
> logos are "all rights reserved". Before trademark enters the picture,
> Firefox's logos already cannot be redistributed because of their
> copyright.

Nearly all of the software in Ubuntu has such a copyright; the important bit
is that it also has a license which grants rights to others as well.

As I've said already, we've contacted Mozilla to clarify the situation and
will proceed from there.

--
 - mdz

Is there an upstream bug tracking this issue?

Should we keep this bug open instead of incomplete?

Danny Ayers (danny-ayers) wrote :

Could someone please explain why patching this bug isn't an option? i.e. swap out the troublesome icons and replace them with versions that explicitly allow unrestricted reuse. Hardly a radical fork. Ok, someone with time and design skills will be needed, and it'd probably reopen #68180 for a bit, but that seems fairly trivial in comparison.

Naturally IANAL, but if a product is 99.9% open source, and the remaining 0.1% serves to identify the product proper, then to me it seems fair use to include that branding wherever the rest of the product is packaged as a whole. But even if fair use might apply, inclusion of the images in Gobuntu stills seems inappropriate - there's nothing that counters the substantive point in Mark's <a href="http://diveintomark.org/archives/2007/10/18/gobuntu-has-already-failed">Gobuntu Sucks</a> post.

Benjamin A'Lee (bmalee) wrote :

Danny Ayers: presumably it's not possible to just replace the images for the same reason as Debian couldn't; as I understand it, the Mozilla trademark policy says you can't call it Mozilla Firefox if you don't use the Mozilla artwork, or something along those lines.

Benjamin A'Lee (bmalee) wrote :

Also note that fair use doesn't apply everywhere, and IIRC, the UK equivalent (fair dealing) is usually considered not to apply to software. It certainly doesn't apply to trademark law, so Mozilla could perfectly reasonably disallow the use of their trademarks with unofficial builds of Firefox.

Bruce Cowan (bruce89) wrote :

I filed a bug about this just after the "deal" - Bug #68008, but it was closed within a few hours. I suppose I amn't Mark Pilgrim.

Mekaniserad Apelsin (blippe) wrote :

I admit knowing hard to nothing about this, but why not move firefox to restricted (where it belongs) and use epiphany-browser in gobuntu?

Manuel Gomez (manuelj) wrote :

Due to the request from another mailing list, here I post the list of files that are giving all this trouble: http://lxr.mozilla.org/seamonkey/source/other-licenses/branding/firefox/

Those files are no released in an free software-compatible licence, and as they are needed so we can continue to call Firefox, Mozilla Firefox, the minimum we should do is remove Firefox from the default install of Gobuntu, either replacing it with IceWeasel or with Epiphany.

How about Ubuntu provides a non-free Firefox package AND a free
IceWeasle package?

There is no Iceweasel package in Ubuntu, but there should be for gobuntu.

Is Gobuntu officially supported? If so, there should be a Iceweasel package.

On 20/10/2007, Bruce Cowan <email address hidden> wrote:
> There is no Iceweasel package in Ubuntu, but there should be for
> gobuntu.

I realise this - how about creating one? What's the harm in having two
packages available to all Ubuntu users.

Just because I run Ubuntu and not Gobuntu doesn't mean I have to hate
freedom and install a non-free version of Firefox. I want the same
options as everyone else.

That's the whole point of this GNU/Linux thing, right?

...I agree, I'd like to have the option of using Iceweasel in whatever *buntu flavor I'm running. That said, I'm kinda surprised Firefox was included at all in Gobuntu, given the high-profile conflict between Debian and Mozilla over the branding.

Matthew Paul Thomas (mpt) wrote :

(Restoring summary. There are several ways in which the actual bug could be fixed, and providing an Iceweasel package is not one of them, nor even a definite consequence of one of them.)

description: updated

> 1. Move Firefox package to "restricted" repository
> 2. Move Firefox package to "multiverse" repository
> 3. Remove Firefox package from Ubuntu altogether

Or...

4. Move Firefox package to "restricted" repository and provide a free
version of Firefox under a different name in the "main" repository.

I run Ubuntu because, if I chose so, it is a free software
distribution. My choice is one of ethics, not practicality. I do not
believe I am alone in this position.

Firefox is my favourite browser and if it get's moved to "restricted"
with no alternative I will stop using it on principal, or more likely,
switch to using Debian.

As someone who develops packages for Debian I feel fairly confident in
saying that providing a free and non-free version of Firefox from the
same source package would be a trivial task.

StefanPotyra (sistpoty) wrote :

setting to confirmed as I can easily confirm the copyright statement. If that's inadequate for the recent changes to the license applying for main (http://www.ubuntu.com/community/ubuntustory/components) please mark this bug as invalid for ubuntu and open a task for gobunto. Otherwise, if the licensing terms don't match actual license policy, please file a bug against the ubuntu website.

Cheers,
    Stefan.

Changed in firefox:
status: Incomplete → Confirmed
Sam Morris (yrro) wrote :

I guess there has still been no progress on this issue. What a disappointment.

Forlong (forlong) wrote :

As I see it, there still has been no reason given, why moving Firefox to the "restricted" component wouldn't be a good solution.

Ubuntu already installs packages from "restricted" by default, so where would be the harm if Firefox was one of them?
The regular user wouldn't even know about it and doing so would resolve this bug pretty easily.
It's a win-win situation, in my opinion.

I would like to add that I am a dedicated Firefox user (after all, it introduced my to free software) and I was pleased when the official logo was used in Edgy (or was it Feisty?) -- that means I'm fine with it being non-free but this doesn't stop this bug from being perfectly valid.

On Sun, May 04, 2008 at 12:15:07PM -0000, Nick Bauermeister wrote:
> As I see it, there still has been no reason given, why moving Firefox to
> the "restricted" component wouldn't be a good solution.
>
> Ubuntu already installs packages from "restricted" by default, so where would be the harm if Firefox was one of them?
> The regular user wouldn't even know about it and doing so would resolve this bug pretty easily.
> It's a win-win situation, in my opinion.
>
>
> I would like to add that I am a dedicated Firefox user (after all, it introduced my to free software) and I was pleased when the official logo was used in Edgy (or was it Feisty?) -- that means I'm fine with it being non-free but this doesn't stop this bug from being perfectly valid.
>

Anyone willing to put work into providing a real free firefox and
forking out artwork branding to a separate package is invited to jump
in #ubuntu-mozillateam on irc.freenode.net and help to get this sorted.

 - Alexander

Lenny Domnitser (domnit) wrote :

On Tue, May 13, 2008 at 12:43 PM, Alexander Sack <email address hidden> wrote:
> Anyone willing to put work into providing a real free firefox and
> forking out artwork branding to a separate package is invited to jump
> in #ubuntu-mozillateam on irc.freenode.net and help to get this sorted.

As I understand, Mozilla's trademark policy is that the browser can't
be called Firefox unless it includes the non-free artwork (this is why
Debian calls it Iceweasel). If this is correct (IANAL), there can't be
a free and legal firefox package, since removing the non-free artwork
is violation of the trademark Firefox name.

John Vivirito (gnomefreak) wrote :

This was fixed with the package "abrowser" this is a unbranded version of firefox built using same source just name and frieds were changed.

affects: firefox (Ubuntu) → firefox-3.0 (Ubuntu)
Changed in firefox-3.0 (Ubuntu):
status: Confirmed → Fix Released
Sam Morris (yrro) wrote :

No it wasn't. The 'firefox' package which contains non-free content still exists in main.

Changed in firefox-3.0 (Ubuntu):
status: Fix Released → Confirmed
Przemysław Kulczycki (azrael) wrote :

The "about:license" page doesn't include this section anymore;
"Image files containing the trademarks and logos of the Mozilla Foundation, which may not be reproduced without permission. (Copyright ©2004-2006 The Mozilla Foundation. All Rights Reserved.)"

Checked on Firefox 3.5, Ubuntu 9.10 (Karmic)

But I didn't check the source package for exact license of each file.
However, If these images are released under GPL/MPL, this would mean that we can redistribute them but not use them as trademarks for versions of Firefox built on source unapproved by Mozilla.

(IANAL)

Alexander Sack (asac) on 2011-01-06
Changed in firefox-3.0 (Ubuntu):
assignee: Alexander Sack (asac) → Chris Coulson (chrisccoulson)
Martin Pitt (pitti) on 2011-02-15
Changed in firefox-3.0 (Ubuntu):
assignee: Chris Coulson (chrisccoulson) → nobody
Thomas Hotz (thotz) wrote :

Can you please retest with a supported Firefox version? Thank you!

Thomas Hotz (thotz) wrote :

Is this still present because I use Chromium?

Sam Morris (yrro) wrote :
Changed in firefox-3.0 (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.